Cyberduck Mountain Duck CLI

#859 closed defect (worksforme)

Resolve aliases to upload

Reported by: david.baldwin@… Owned by: dkocher
Priority: high Milestone:
Component: core Version: 4.2.1
Severity: major Keywords:
Cc: Architecture:
Platform:

Description (last modified by martzell)

14,8 Gbyte iPhoto Library becomes 35 Gbyte when uploaded. Please put in an option to not resolve aliases and symbolic links.

It's hard to select a Mac bundle folder for one-way (only upload) synchronize. Then the list is not sorted alphabetically. No sort order identifiable. The link files "Modified" and "Originals" (in the iPhoto Library bundle folder) are not shown.

At the moment I try to upload via synchronize. I'll report back about the whole size when Cyberduck finishes initializing and starts upload.

david.baldwin@… wrote 6 years ago:

I tried uploading a MacOSX file alias (created in Finder with "Make Alias"). It created a 0B file. I was hoping it would upload the contents of the original file.

Change History (7)

comment:1 Changed on Sep 24, 2006 at 1:24:09 PM by dkocher

  • Status changed from new to assigned
  • Summary changed from uploading MacOSX file alias creates 0B file to Resolve aliases to upload

comment:2 Changed on May 24, 2007 at 8:58:12 PM by dkocher

  • Milestone set to 2.8
  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed in r3003.

comment:3 Changed on Apr 28, 2008 at 12:37:31 PM by anonymous

  • Priority changed from low to high
  • Resolution fixed deleted
  • Severity changed from normal to major
  • Status changed from closed to reopened

Now, I cannot upload aliases to the server that shall act as alias on the server! Instead of the alias to a directory, Cyberduck now uploads again the entire directory instead of just the alias!

comment:4 Changed on May 10, 2008 at 8:00:11 PM by dkocher

  • Resolution set to wontfix
  • Status changed from reopened to closed

comment:5 Changed on Jan 13, 2013 at 4:01:35 PM by martzell

  • Description modified (diff)
  • Milestone changed from 2.8 to 4.3
  • Resolution wontfix deleted
  • Status changed from closed to reopened
  • Version changed from 2.6.2 to 4.2.1

comment:6 Changed on Jan 13, 2013 at 4:27:19 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

Please open a new issue instead of just reopening an existing ticket. Current builds of Cyberduck do not resolve files referenced with symbolic links or aliases when uploading.

comment:7 Changed on Mar 22, 2013 at 10:28:27 AM by dkocher

  • Milestone 4.4 deleted
Note: See TracTickets for help on using tickets.
swiss made software